#ifndef SP_VECTOR
#define SP_VECTOR
#include "sp_names.h"
#include SP_LIST1_H

ls_REAL ausl(ls_REAL,ls_REAL);

class sp_Vector: public sp_list1<ls_REAL>
{ public:
  ls_REAL eps;
  sp_Vector(ls_UINT =0,char* ="sp_Vector");
  sp_Vector(sp_Vector&);
  sp_Vector(ls_REAL*, ls_UINT ,char* ="sp_Vector");
  const sp_Vector& operator=(const sp_Vector &);
  sp_Vector operator-() const;                 // - x
  sp_Vector operator*(ls_REAL) const;          // s * x
  sp_Vector& operator*=(ls_REAL);              // x=x * s
  sp_Vector operator+(const sp_Vector &) const;// x + y
  sp_Vector operator-(const sp_Vector &) const;// x - y
  sp_Vector& operator+=(const sp_Vector &);    // x=x + y
  sp_Vector& operator-=(const sp_Vector &);    // x=x - y
  ls_REAL operator*(const sp_Vector &) const;  // x*y Skalarprodukt
};
sp_Vector operator*(ls_REAL, const sp_Vector &);
#ifndef SP_LIB
#include SP_VECTOR_C
#endif
#endif
